package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 解绑车卡关系请求参数
 */
@Data
public class BindRequestDTO {

    /**需解绑iccid*/
    @ApiModelProperty(value = "需解绑iccid")
    @NotBlank(message = "iccid不能为空")
    private String iccid;

    /**需解绑vin码*/
    @ApiModelProperty(value = "需解绑vin码")
    @NotBlank(message = "vin码不能为空")
    private String vin;

}
