package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author stayAnd
 * @date 2022/4/19
 */
@Data
public class FileUploadResponseDTO {
	private Map<String,String> attachment;
	private Integer code;
	private String exception;
	private String msg;
	private Boolean success;
	private List<FileDetailDTO> data;



	@Data
	public static class FileDetailDTO {
		private String accessUrl;
		private Object createTime;
		private String creator;
		private String fileName;
		private Double fileSize;
		private Integer id;
		private String md5;
		private String path;
		private Integer status;
		private Date updateTime;
		private String updater;
		private String useLimit;
		private String uuid;
		private String videoProtocal;


	}
}
