package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 自然人解绑和换卡发送短信参数
 */
@Data
public class FpSendMessageDTO implements Serializable {

    @ApiModelProperty(value = "短信参数实体类")
    private SmsRequestDTO smsRequestDTO;

    @ApiModelProperty(value = "实名业务id")
    private String rnrid;

    @ApiModelProperty(value = "ICCID编码集合")
    private String iccidLists;

    @ApiModelProperty(value = "更新操作人")
    private String user;

    @ApiModelProperty(value = "工单id")
    private String orderId;
}
