package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseAuthenticationRespDTO;
import lombok.Data;

/**
 * Description: 车联网一证十卡响应DTO
 * <br />
 * CreateDate 2022-02-23 17:00:59
 *
 * @author yuyi
 **/
@Data
public class IovCardNumRespDTO extends BaseAuthenticationRespDTO {
    /**
     * 目前绑定的车联网卡数量
     */
    private Integer nowVehicleNum;

    /**
     * 历史绑定车联网卡数量
     */
    private Integer hisVehicleNum;
}
