package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "开户信息", description = "开户信息上传的详细开户信息")
@Data
public class OpenAccountNeededInfo {
    @ApiModelProperty(value = "车联网卡MSISDN")
    private String msisdn;
    @ApiModelProperty(value = "车联网卡ICCID")
    private String iccId;
    @ApiModelProperty(value = "车辆识别代号或车架号")
    private String vin;
    @ApiModelProperty(value = "车辆状态")
    private String vehicleStatus;
    @ApiModelProperty(value = "状态变更时间")
    private String statusUpdat;
    @ApiModelProperty(value = "状态变更时间")
    private String statusUpdatTime;
    @ApiModelProperty(value = "受理时间")
    private String acceptTime;

    @ApiModelProperty(value = "用户类型")
    private String customerType;
    @ApiModelProperty(value = "用户姓名")
    private String customerName;
    @ApiModelProperty(value = "用户证件类型")
    private String customerCertType;
    @ApiModelProperty(value = "用户证件号码")
    private String customerCertNumber;
    @ApiModelProperty(value = "用户证件地址")
    private String customerCertAddress;
    @ApiModelProperty(value = "用户证件有效期")
    private String customerCertDate;
    @ApiModelProperty(value = "用户手机号")
    private String customerPosterTelephone;
    @ApiModelProperty(value = "用户通讯地址")
    private String customerPosterAddress;

    @ApiModelProperty(value = "单位名称")
    private String companyName;
    @ApiModelProperty(value = "单位证件类型")
    private String companyCertType;
    @ApiModelProperty(value = "单位证件号码")
    private String companyCertNumber;
    @ApiModelProperty(value = "单位证件地址")
    private String companyCertAddress;
    @ApiModelProperty(value = "单位通讯地址")
    private String companyPosterAddress;
    @ApiModelProperty(value = "责任人姓名")
    private String corporationName;
    @ApiModelProperty(value = "责任人证件类型")
    private String corporationCertType;
    @ApiModelProperty(value = "责任人证件号码")
    private String corporationCertNumber;
    @ApiModelProperty(value = "责任人证件地址")
    private String corporationCertAddress;
    @ApiModelProperty(value = "责任人通讯地址")
    private String corporationPosterAddress;
    @ApiModelProperty(value = "责任人电话")
    private String corporationTelephone;
    @ApiModelProperty(value = "代/经办人姓名")
    private String operatorName;
    @ApiModelProperty(value = "代/经办人证件类型")
    private String operatorCertType;
    @ApiModelProperty(value = "代/经办人证件号码")
    private String operatorCertNumber;
    @ApiModelProperty(value = "代/经办人证件地址")
    private String operatorCertAddress;
    @ApiModelProperty(value = "代/经办人通讯地址")
    private String operatorPosterAddress;
    @ApiModelProperty(value = "代/经办人电话")
    private String operatorTelephone;
    @ApiModelProperty(value = "照片文件名")
    private String phoName;
    @ApiModelProperty(value = "扩展字段")
    private Object extendPara;
}
