package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/5/3
 */
@Data
public class PersonH5CallBackRequestDTO {

	/**
	 * 租户编号
	 */
	@NotNull(message = "租户编号不能为空")
	private String tenantNo;

	/**
	 * 工单号
	 */
	@NotNull(message = "工单号不能为空")
	private String orderNo;

	/**
	 * 活体返回的两张图片
	 */
	@NotEmpty(message = "活体返回的两张图片不能为空")
	private String[] livenessPicFileId;

	/**
	 * 视屏id
	 */
	@NotNull(message = "视屏id不能为空")
	private String videFileId;

	/**
	 * ciam用户id
	 */
	private String ciamUserId;
}
