package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class SimDTO {

    /**iccid*/
    @ApiModelProperty(value = "iccid", required = true)
    @NotBlank(message = "iccid不能为空")
    private String iccid;

    @ApiModelProperty(value = "msisdn", required = true)
    @NotBlank(message = "msisdn不能为空")
    private String msisdn;

    @ApiModelProperty(value = "imsi", required = true)
    private String imsi;

    @ApiModelProperty(value = "ip", required = true)
    private String ip;

    /**失败原因*/
    @ApiModelProperty(value = "返回的错误信息，作为入参时不需要传递", required = false)
    private String failReason;

    @ApiModelProperty(value = "vin", required = true)
    private String vin;

}
