package com.cusc.nirvana.user.rnr.fp.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: 认证信息DTO
 * <br />
 * CreateDate 2022-03-11 15:42:31
 *
 * @author yuyi
 **/
@ApiModel(value = "认证信息DTO", description = "认证信息DTO")
@Data
public class T1AuthDTO implements Serializable {

    private static final long serialVersionUID = -36413222636238414L;

    @ApiModelProperty(value = "平台标识")
    @JSONField(name = "PlatformID")
    private String PlatformID;

    @ApiModelProperty(value = "签名值")
    @JSONField(name = "SignNature")
    private String SignNature;
}

