package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 车主解绑
 */
@Data
public class UnbindReceiceSMSDTO implements Serializable {

    @ApiModelProperty(value = "手机号")
    private String phoneNumber;

    @ApiModelProperty(value = "发送内容")
    private String replyContent;

    @ApiModelProperty(value = "消息id")
    private String messageId;

    @ApiModelProperty(value = "失败信息")
    private String message;

    @ApiModelProperty(value = "上行消息时间")
    private Long replyTime;

    @ApiModelProperty(value = "上行消息回调参数")
    private String upstreamCallbackParam;
}
