package com.cusc.nirvana.user.rnr.fp.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class SimVehicleConfig {

    /**接口url地址*/
    @Value("${import.simrel.com-api.url:}")
    private String url;

    /**应用ID*/
    @Value("${import.simrel.com-api.app-id:}")
    private String appId;

    /**用于签名加密*/
    @Value("${import.simrel.com-api.app-scret:}")
    private String appScret;

    /**接口版本号*/
    @Value("${import.simrel.com-api.version:1.0.0}")
    private String version;

}
