package com.cusc.nirvana.user.rnr.fp.controller;

import com.alibaba.fastjson.JSONObject;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.FpT1UploadStatusDTO;
import com.cusc.nirvana.user.rnr.fp.service.IFpT1UploadStatusService;
import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @className: IFpT1UploadStatusController
 * @description: T1上报状态
 * @author: jk
 * @date: 2022/7/27 9:30
 * @version: 1.0
 **/
@Slf4j
@RequestMapping("/fpT1UploadStatus")
public class IFpT1UploadStatusController {

    @Autowired
    private IFpT1UploadStatusService iFpT1UploadStatusService;
    @PostMapping("/queryByList")
    public Response queryByList(@RequestBody FpT1UploadStatusDTO bean) {
        return Response.createSuccess(iFpT1UploadStatusService.queryByList(bean));
    }

    @PostMapping("/update")
    public Response  update(@RequestBody FpT1UploadStatusDTO bean){
        return Response.createSuccess(iFpT1UploadStatusService.update(bean));
    }

}
