package com.cusc.nirvana.user.rnr.fp.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.UnbindReceiceSMSDTO;
import com.cusc.nirvana.user.rnr.fp.service.IMessageCallBackService;
import org.aspectj.bridge.IMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author yubo
 * @since 2022-05-06 16:34
 */
@RestController
@RequestMapping("/message")
public class MessageCallBackController {

    @Autowired
    IMessageCallBackService callBackService;

    @PostMapping("/callBack")
    public Response callBack(@RequestBody UnbindReceiceSMSDTO bean) {
        return callBackService.callBack(bean);
    }
}
