package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.InstructionPO;
import com.cusc.nirvana.user.rnr.fp.dto.InstructionDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

@Mapper
public interface InstructionConverter {
    InstructionConverter INSTANCE = Mappers.getMapper(InstructionConverter.class);

    @Mappings({
            @Mapping(target = "requestId", source = "requestID"),
            @Mapping(target= "code", source = "code"),
            @Mapping(target= "iccid", source = "ICCID")
    })
    InstructionPO dtoToPo(InstructionDTO bean);
}
