package com.cusc.nirvana.user.rnr.fp.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.fp.common.BaseRnrPO;
import lombok.Data;

/**
 * 实名关联信息(FpRnrRelationInfo)实体类
 *
 * @author yuy336
 * @since 2022-04-14 20:43:07
 */
@TableName("fp_rnr_relation_info")
@Data
public class FpRnrRelationInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = -39253417708463032L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 实名id
     */    
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 项目编号
     */    
    @TableField("project_no")
    private String projectNo;
    
    /**
     * 组织id
     */    
    @TableField("org_id")
    private String orgId;
    
    /**
     * 终端用户id（ciam_user）
     */    
    @TableField("user_id")
    private String userId;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

