package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;


/**
 * Description: 自然人信息
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("自然人信息")
public class FlowPersonalInfoDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("用户名")
    private String name;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("证件类型：1军官证,2护照,3居民身份证,4警官证,5港澳居民来往内地通行证,6台湾居民来往大陆通行证,7其他")
    private Integer certType;

    @ApiModelProperty("证件号")
    private String certId;
}
