package com.cusc.nirvana.user.rnr.fp.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * Description: T1开户信息DTO
 * <br />
 * CreateDate 2022-04-02 15:13:40
 *
 * @author yuyi
 **/
@Data
@ApiModel("T1车辆信息DTO")
public class T1CarInfoDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("请求标识   M")
    @JSONField(name = "RequestID")
    private String requestId;

    @ApiModelProperty("道路机动车辆生产企业编码    M")
    @JSONField(name = "Code")
    private String code;

    @ApiModelProperty("车辆加密信息    M")
    @JSONField(name = "EncryptCarInfo")
    private String encryptCarInfo;

    @ApiModelProperty("卡所属运营商    M")
    @JSONField(name = "ServiceProvider")
    private String serviceProvider;
}
