package com.cusc.nirvana.user.rnr.fp.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * iam的分页DTO基类
 * </p>
 *
 * @author yuyi
 * @since 2021-10-21
 */
@Data
public class BaseRnrMgPageDTO extends com.cusc.nirvana.user.rnr.fp.common.BaseRnrMgDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "当前页码")
    private Integer currPage = 1;

    @ApiModelProperty(value = "页面显示行数")
    private Integer pageSize = 10;
}
