package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseRnrMgPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * (FpRnrProtocolManage)传输对象类
 *
 * @author yuy336
 * @since 2022-06-01 10:52:11
 */
@ApiModel(value = "${tableInfo.comment}", description = "${tableInfo.comment}")
@Data
public class FpRnrProtocolManageDTO extends BaseRnrMgPageDTO {

    private static final long serialVersionUID = 660172581660870804L;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "组织id")
    private String orgId;
    
    @ApiModelProperty(value = "个人入网协议word")
    private String peopleAgreementWord;
    
    @ApiModelProperty(value = "个人入网协议横版")
    private String peopleAgreementHorizontal;
    
    @ApiModelProperty(value = "个人入网协议竖版")
    private String peopleAgreementVertical;
    
    @ApiModelProperty(value = "公司入网协议word")
    private String companyAgreementWord;
    
    @ApiModelProperty(value = "公司入网协议横板")
    private String companyAgreementHorizontal;
    
    @ApiModelProperty(value = "公司入网协议竖版")
    private String companyAgreementVertical;
    
    @ApiModelProperty(value = "实名制责任告知书word")
    private String realnameNoticeWord;
    
    @ApiModelProperty(value = "实名制责任告知书横板")
    private String realnameNoticeHorizontal;
    
    @ApiModelProperty(value = "实名制责任告知书竖版")
    private String realnameNoticeVertical;
    
    @ApiModelProperty(value = "企业授权书word")
    private String companyAuthorizeWord;
    
    @ApiModelProperty(value = "企业授权书横板")
    private String companyAuthorizeHorizontal;
    
    @ApiModelProperty(value = "企业授权书竖版")
    private String companyAuthorizeVertical;
    
    @ApiModelProperty(value = "其它word")
    private String otherWord;
    
    @ApiModelProperty(value = "其它横板")
    private String otherHorizontal;
    
    @ApiModelProperty(value = "其它竖版")
    private String otherVertical;

    @ApiModelProperty(value = "pc版logo")
    private String logoPc;

    @ApiModelProperty(value = "h5版logo")
    private String logoH5;
    
    @ApiModelProperty(value = "租户编号")
    private String tenantNo;
    
    @ApiModelProperty(value = "最后一次操作人")
    private String operator;

    @ApiModelProperty(value = "调用类型")
    private String type;
}

