package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import java.util.Date;

@Data
public class IccidDetailDTO {

    private Long id;

    private String iccid;

    private String imsi;

    private String msisdn;

    /**SIM卡IP*/
    private String ip;

    /**sim卡所安装的品牌编码*/
    private String brand;

    /**sim卡所安装的品牌名称*/
    private String brandName;

    /**sim卡所安装的车型编码*/
    private String vehicleModel;

    /**sim卡所安装的车型名称*/
    private String vehicleModelName;

    /**sim卡所安装的车系编码*/
    private String vehicleSeries;

    /**sim卡所安装的车系名称*/
    private String vehicleSeriesName;

    /**sim卡所安装车出厂年份*/
    private Integer years;

    /**sim卡所安装在的位置*/
    private String installLocation;

    /**
     * SIM卡状态
     * 0: 可测试,1: 可激活,2: 已激活,3: 已停用, 4: 已失效,5: 已清除,6: 已更换, 7: 库存, 8: 开始
     */
    private Integer state;

    /**是否允许车主自己实名*/
    private Boolean realBySelf;

    /**业务标签*/
    private String tagUuid;

    /**创建时间*/
    private Date createTime;

    /**创建人*/
    private String creator;
}
