package com.cusc.nirvana.user.rnr.fp.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 指令信息
 */
@Data
public class InstructionDTO {

    @ApiModelProperty(value = "请求标识")
    @JSONField(name = "RequestID")
    private String RequestID;

    @ApiModelProperty(value = "道路机动车辆生产企业编码")
    @JSONField(name = "Code")
    private String Code;

    @ApiModelProperty(value = "请求时间")
    private Date requestTime;

    @ApiModelProperty(value = "string")
    @JSONField(name = "ICCID")
    private String ICCID;

    @ApiModelProperty(value = "认证信息")
    @JSONField(name = "Auth")
    private T1AuthDTO Auth;
}
