package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseAuthenticationRespDTO;
import lombok.Data;

/**
 * Description: 活体检测响应DTO
 * <br />
 * CreateDate 2022-02-15 17:57
 *
 * @author yuy336
 **/
@Data
public class LivenessRespDTO extends BaseAuthenticationRespDTO {

    /**
     * 最佳最佳截图列表，注意：此字段可能返回 null，表示取不到有效值。
     */
    public String [] bestFrameList;
}
