package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/5/16
 * 车卡关系查询dto
 */
@Data
public class VinCardQueryDTO {

	@NotNull(message = "组织id不能为空")
	private String organId;

	@NotNull(message = "车辆vin不能为空")
	private String vin;

	/**
	 * 是否过滤错误提示 一车多卡才会true
	 */
	private Boolean filter;
}
