package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/6/7
 */
@Data
public class VinCheckResultDTO {

	private List<VinCheckDetailDTO> checkList;


	@Data
	public static class VinCheckDetailDTO{

		/**
		 * 检查结果
		 */
		private Boolean checkResult;

		/**
		 * vin
		 */
		private String vin;

		/**
		 * iccid列表
		 */
		private List<String> iccidList;

		/**
		 * 错误信息
		 */
		private String errorMsg;
	}
}
