package com.cusc.nirvana.user.rnr.fp.common.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Description: 前台通用配置
 * <br />
 * CreateDate 2022-06-23 16:28:19
 **/
@Component
@Data
public class RnrFpConfig {

    //自然人错误次数，超过次数转人工
    @Value("${rnr.person.errorCount:3}")
    public Integer personErrorCount;

    @Value("${rnr.fileSelect:oss}")
    private String fileSelect;

    @Value("${rnr.liveness.livenessType:LIP}")
    private String livenessType;

    @Value("${rnr.id.compare.similarity:50}")
    private String idCompareSimilarity;

    @Value("${rnr.face.compare.similarity:50}")
    private String faceCompareSimilarity;

    @Value("${rnr.card.num.limit:10}")
    private Integer cardNumLimit;

    @Value("${rnr.mock:false}")
    private boolean mock;
}

