package com.cusc.nirvana.user.rnr.fp.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.T1CompletionReqDTO;
import com.cusc.nirvana.user.rnr.fp.service.T1ReportCompletionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @className: T1ReportCompletion
 * @description:
 * @author: fxh
 * @date: 2022/8/23 10:47
 * @version: 1.0
 **/
@RestController
@RequestMapping("/t1")
public class T1ReportCompletionController {

    @Autowired
    private T1ReportCompletionService t1ReportCompletionService;

    /**
     *
     * @param t1CompletionReqDTO
     */
    @PostMapping("/reportCompletionCmcc")
    public Response T1ReportCompletionCmcc(@RequestBody T1CompletionReqDTO t1CompletionReqDTO){
        return t1ReportCompletionService.T1ReportCompletionCmcc(t1CompletionReqDTO);
    }
}
