package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpRnrProtocolManagePO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrProtocolManageDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * (FpRnrProtocolManage)表服务接口
 *
 * @author yuy336
 * @since 2022-06-01 10:52:45
 */
@Mapper
public interface FpRnrProtocolManageConverter {

    FpRnrProtocolManageConverter INSTANCE = Mappers.getMapper(FpRnrProtocolManageConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpRnrProtocolManageDTO poToDto(FpRnrProtocolManagePO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpRnrProtocolManagePO dtoToPo(FpRnrProtocolManageDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<FpRnrProtocolManageDTO> poListToDtoList(List<FpRnrProtocolManagePO> list);
}
