package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;


/**
 * Description: 实名换件事件请求
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("实名换件事件请求")
public class FlowSwapDeviceRequestDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("实名的vin码")
    private String vin;

    @ApiModelProperty("原SIM卡的iccid")
    private String oldIccid;

    @ApiModelProperty("旧卡实名状态")
    private Integer oldRnrStatus;

    @ApiModelProperty("新SIM卡的iccid")
    private String newIccid;

    @ApiModelProperty("新卡实名状态")
    private Integer newRnrStatus;

    @ApiModelProperty("扩展属性")
    private FlowExtsDTO exts;
}
