package com.cusc.nirvana.user.rnr.fp.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description: T1车辆信息上传
 * <br />
 * CreateDate 2022-06-15 15:42:31
 *
 * @author zx
 **/
@ApiModel(value = "T1车辆信息上传dto", description = "T1车辆信息上传dto")
@Data
public class T1VehicleInfoReqDTO implements Serializable {

    private static final long serialVersionUID = -36413222636238414L;

    @ApiModelProperty(value = "认证信息")
    @JSONField(name = "Auth")
    private T1AuthDTO Auth;

    @ApiModelProperty(value = "请求标识")
    @JSONField(name = "RequestID")
    private String RequestID;

    @ApiModelProperty(value = "道路机动车辆生产企业编码")
    @JSONField(name = "Code")
    private String Code;

    @ApiModelProperty(value = "车辆加密信息")
    @JSONField(name = "EncryptCarInfo")
    private String EncryptCarInfo;

    @ApiModelProperty(value = "卡所属运营商")
    @JSONField(name = "ServiceProvider")
    private String ServiceProvider = "3000";
}

